Subject: FW: RFC 3140 and l2tp diffserv

From: [email-masked]
Date: Sun, 12 Aug 2001 18:09:04 -0400

Resending the message I referred to in my comments on
the l2tp diffserv draft at the meeting.  Aside from 
updating all RFC 2836 references to refer to RFC 3140,
the change required to the l2tp diffserv draft is to rewrite
the first paragraph of Section 10 (-03 version) from:

   [RFC 2474] RECOMMENDS that PHB implementations not cause reordering
   of packets within an individual connection.  For L2TP, a set of PHBs
   signaled using a single AVP SHOULD not cause additional packet
   reordering within an individual connection vs. using a single PHB.
   If a set of PHBs is capable of causing such reordering, then it
   SHOULD not be signaled with a single L2TP AVP.  As a consequence, use
   of diffserv PHBs in accordance with this specification SHOULD not
   cause additional packet reordering within an L2TP control or data
   connection.

to:

   [RFC 2474] RECOMMENDS that PHB implementations not cause reordering
   of packets within an individual connection.  [RFC 3140] requires that
   a set of PHBs signaled using a single PHBID MUST NOT cause additional
   packet reordering within an individual connection vs. using a single PHB.
   Since the CCDS and SDS AVPs contain one PHBID, use of diffserv PHBs
   in accordance with this specification should not cause additional packet
   reordering within an L2TP control or data connection.

And the "should" in the last sentence is supposed to be lower case.

Thanks,
--David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, July 13, 2001 10:17 AM
To: [email-masked]
Subject: RFC 3140 and l2tp diffserv

RFC 2836 which defines Differentiated Services
PHBIDs has been replaced by RFC 3140, which
contains the following changes:

(1) The oversight that prevented use of the Class
Selector codepoints (xxx000, correspond to IP
Precedence) has been corrected, and an explicit
note has been added to say that the PHBIDs
formed from these codepoints can be used to
signal IP Precedence for networks that
don't implement the full diffserv architecture.
See Section 3 of RFC 3140.

(2) The first paragraph of Section 10 of the
l2tp diffserv draft essentially says "use of
this diffserv signaling SHOULD NOT cause packet
reordering within any microflow".  That seemed
like such a good idea that it was added to
RFC 3140 and strengthened to say "MUST NOT"
(last paragraph of Section 2 of RFC 3140).

Both of these changes grew out of work on
the l2tp diffserv draft, so I'd like to thank
everyone who helped, and hope that the result
is useful to l2tp.

Thanks,
--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
[email-masked]       Mobile: +1 (978) 394-7754
---------------------------------------------------